## grendel.composition
Class TestDataSource2

    grendel.composition.TestDataSource2

public class TestDataSource2

Constructor Summary
`TestDataSource2()`

Method Summary
`void` | `documentChanged(grendel.composition.ATC_Document doc)` Gives notification the document has changed so perform a new search.
`java.lang.String` | `getNext()` get the next match from the results vector.
`java.lang.String` | `getPrevious()` get the previous match from the results vector.

Constructor Detail

### TestDataSource2

    public TestDataSource2()

Method Detail

### getNext

    public java.lang.String getNext()

  get the next match from the results vector.

### getPrevious

    public java.lang.String getPrevious()

  get the previous match from the results vector.

### documentChanged

    public void documentChanged(grendel.composition.ATC_Document doc)

  Gives notification the document has changed so perform a new search.